db-derby-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Knut Anders Hatlen <Knut.Hat...@Sun.COM>
Subject Re: How to run exist junit tests after build the trunk
Date Fri, 29 Jun 2007 10:28:58 GMT
John Embretsen <John.Embretsen@Sun.COM> writes:

> Daniel John Debrunner wrote:
>> John Embretsen wrote: (Thu, 21 Jun 2007 07:50:19 GMT)
>>
>>> Sean Qiu wrote:
>>>> Btw, can ${j14lib} points to jdk whose version is higher? like jdk1.5.
>>>
>>> No, the build will most likely fail if it does.
>>
>> I'm able to build using IBM's 1.5 SDK with no problems.
>
> Then perhaps I'm doing something wrong? If I set j14lib in my
> ant.properties file to /usr/local/java/jdk1.5/jre/lib (Sun JDK
> 1.5.0_07), the build fails with wrong class file version.

You'd probably also need to make sure that ant uses Java 1.5 (by setting
JAVA_HOME or something).

However, I think you'll run into other problems with Sun's JDK because
version 1.5 doesn't contain some org.apache... XML classes that were in
1.4 and are in IBM's 1.5. I think this can be solved by downloading the
jars from xerces.apache.org(?) and putting them in
java14compile.classpath.

-- 
Knut Anders

Mime
View raw message